<template>
<v-hover v-slot:default="{ hover }">
<v-card @click="openProject" height="300" :elevation="hover ? 12 : 2" :class="{ 'on-hover': hover }">
    <v-img
      max-height="200"
      class="align-center"
      :src="image"
      contain
    >
    </v-img>
    <v-card-title>{{ title }}</v-card-title>
    <v-card-subtitle>
      <div>{{ shortDescription }}</div>
    </v-card-subtitle>
  </v-card>
</v-hover>
</template>

<script lang="ts">
import Vue from 'vue';
import { Component, Prop, Emit } from 'vue-property-decorator';
import { getModule } from 'vuex-module-decorators';


@Component
export default class ProjectPreview extends Vue {
  @Prop() public id!: number;
  @Prop() public title!: string;
  @Prop() public shortDescription!: string;
  @Prop() public image!: string;
  @Prop() public evelation!: number;

  private buttonMoreLabel: string = 'Подробнее';

  private openProject() {
    this.$router.push(`/projects/${this.id}`);
  }

}
</script>
